resource "proxmox_virtual_environment_firewall_ipset" "dev_loggers" {

  name    = "loggers"
  comment = "Nodes that send logs to Monitoring Node."

  cidr {
    name    = "192.168.0.254"
    comment = "bastion"
  }

  cidr {
    name    = "192.168.0.253"
    comment = "load-balancer"
  }

  cidr {
    name    = "192.168.0.252"
    comment = "monitoring"
  }

  cidr {
    name    = "192.168.0.3"
    comment = "postgresql"
  }

  cidr {
    name    = "192.168.0.10"
    comment = "main-page"
  }

  cidr {
    name    = "192.168.0.15"
    comment = "searxng"
  }
}

resource "proxmox_virtual_environment_firewall_ipset" "dev_valkey_clients" {

  name    = "valkey_clients"
  comment = "Nodes that can connect to valkey Node."

  cidr {
    name    = "192.168.0.15"
    comment = "searxng"
  }
}

output "dev_valkey_clients_ipset" {
  value     = proxmox_virtual_environment_firewall_ipset.dev_valkey_clients
  sensitive = true
}
